# Function configure

- configure<C>(options): (<I, O>(options) => Generator<GraphQlRequest | Web3Request, {
  assignments: {
  [collectionName: string]: (I & O)[];
  };
  project: Resources.IdObject<"projects">;
  }, any>)

- #### Type Parameters

  - #### C extends Project.AssignNames.Batch.Config

  #### Parameters

  - ##### options: Project.AssignNames.Batch.Options<C>

  #### Returns (<I, O>(options) => Generator<GraphQlRequest | Web3Request, {
  assignments: {
  [collectionName: string]: (I & O)[];
  };
  project: Resources.IdObject<"projects">;
  }, any>)

  - - <I, O>(options): Generator<GraphQlRequest | Web3Request, {
      assignments: {
      [collectionName: string]: (I & O)[];
      };
      project: Resources.IdObject<"projects">;
      }, any>

    - #### Type Parameters

      - #### I extends {
        resource: Resources.IdObject<Resources.CollectionName>;
        }

      - #### O extends {
        resource: Resources.IdObject<Resources.CollectionName>;
        }

      #### Parameters

      - ##### options: {
        assignments: {
        [collectionName: string]: I[];
        };
        project: Resources.IdObject<"projects">;
        }

        - ##### assignments: {
          [collectionName: string]: I[];
          }

          - ##### [collectionName: string]: I[]

        - ##### project: Resources.IdObject<"projects">

      #### Returns Generator<GraphQlRequest | Web3Request, {
      assignments: {
      [collectionName: string]: (I & O)[];
      };
      project: Resources.IdObject<"projects">;
      }, any>

  - Defined in packages/db/src/project/assignNames/batch.ts:56

Generated using TypeDoc